package com.ustadmobile.libcache.db.dao

import com.ustadmobile.libcache.db.entities.RequestedEntry
import kotlin.Int
import kotlin.String
import kotlin.collections.List

public actual abstract class RequestedEntryDao {
  public actual abstract fun insertList(requestedSha256s: List<RequestedEntry>)

  public actual abstract suspend fun insertListAsync(requestedSha256s: List<RequestedEntry>)

  public actual abstract fun findKeysNotPresent(batchId: Int): List<String>

  public actual abstract fun deleteBatch(batchId: Int)
}
